package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.convey.QueryConveyLocationReq;
import org.wcs.model.po.app.AppConveyLocation;

import java.util.List;

public interface AppConveyLocationService extends IService<AppConveyLocation> {

    Tuple2<Long, List<AppConveyLocation>> queryConveyLocation(QueryConveyLocationReq request, Integer pageSize, Integer pageIndex);
    List<AppConveyLocation> queryByLocationId(String locationId);
    boolean insertConveyLocation(AppConveyLocation appConveyLocation);
    boolean updateConveyLocationByLocationId(AppConveyLocation appConveyLocation);
    List<AppConveyLocation> queryAll(); // 查询所有


}
